Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UITree.Properties

    java.lang.Object
      java.lang.Enum<UITree.Properties>
          org.richfaces.component.UITree.Properties

All Implemented Interfaces:
  Serializable, Comparable<UITree.Properties>

Enclosing class:
  UITree

    protected static enum UITree.Properties

extends Enum<UITree.Properties>

Enum Constant Summary
`data`
`dir`
`execute`
`handleClass`
`iconClass`
`iconCollapsed`
`iconExpanded`
`iconLeaf`
`immediate`
`labelClass`
`lang`
`limitRender`
`nodeClass`
`nodeType`
`onbeforedomupdate`
`onbeforenodetoggle`
`onbeforeselectionchange`
`onbegin`
`onclick`
`oncomplete`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onnodetoggle`
`onselectionchange`
`render`
`selectionType`
`status`
`style`
`styleClass`
`title`
`toggleNodeEvent`
`toggleType`
`value`

Method Summary
`static UITree.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UITree.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### data

    public static final UITree.Properties data

### dir

    public static final UITree.Properties dir

### execute

    public static final UITree.Properties execute

### handleClass

    public static final UITree.Properties handleClass

### iconClass

    public static final UITree.Properties iconClass

### iconCollapsed

    public static final UITree.Properties iconCollapsed

### iconExpanded

    public static final UITree.Properties iconExpanded

### iconLeaf

    public static final UITree.Properties iconLeaf

### immediate

    public static final UITree.Properties immediate

### labelClass

    public static final UITree.Properties labelClass

### lang

    public static final UITree.Properties lang

### limitRender

    public static final UITree.Properties limitRender

### nodeClass

    public static final UITree.Properties nodeClass

### nodeType

    public static final UITree.Properties nodeType

### onbeforedomupdate

    public static final UITree.Properties onbeforedomupdate

### onbeforenodetoggle

    public static final UITree.Properties onbeforenodetoggle

### onbeforeselectionchange

    public static final UITree.Properties onbeforeselectionchange

### onbegin

    public static final UITree.Properties onbegin

### onclick

    public static final UITree.Properties onclick

### oncomplete

    public static final UITree.Properties oncomplete

### ondblclick

    public static final UITree.Properties ondblclick

### onkeydown

    public static final UITree.Properties onkeydown

### onkeypress

    public static final UITree.Properties onkeypress

### onkeyup

    public static final UITree.Properties onkeyup

### onmousedown

    public static final UITree.Properties onmousedown

### onmousemove

    public static final UITree.Properties onmousemove

### onmouseout

    public static final UITree.Properties onmouseout

### onmouseover

    public static final UITree.Properties onmouseover

### onmouseup

    public static final UITree.Properties onmouseup

### onnodetoggle

    public static final UITree.Properties onnodetoggle

### onselectionchange

    public static final UITree.Properties onselectionchange

### render

    public static final UITree.Properties render

### selectionType

    public static final UITree.Properties selectionType

### status

    public static final UITree.Properties status

### style

    public static final UITree.Properties style

### styleClass

    public static final UITree.Properties styleClass

### title

    public static final UITree.Properties title

### toggleNodeEvent

    public static final UITree.Properties toggleNodeEvent

### toggleType

    public static final UITree.Properties toggleType

### value

    public static final UITree.Properties value

Method Detail

### values

    public static UITree.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UITree.Properties c : UITree.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UITree.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.